petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMStagMatSetValuesStencil

insert or add matrix entries using grid indexing

### Synopsis

    PetscErrorCode DMStagMatSetValuesStencil(DM dm,Mat mat,PetscInt nRow,const DMStagStencil *posRow,PetscInt nCol,const DMStagStencil *posCol,const PetscScalar *val,InsertMode insertMode)

Not Collective

### Input Parameters

| dm | - the DMStag object
| mat | - the matrix
| nRow | - number of rows
| posRow | - grid locations (including components) of rows
| nCol | - number of columns
| posCol | - grid locations (including components) of columns
| val | - logically two-dimensional array of values
| insertmode | - INSERT_VALUES or ADD_VALUES

### Notes

See notes for MatSetValuesStencil()

### See Also

DMSTAG, DMStagStencil, DMStagStencilLocation, DMStagVecGetValuesStencil(), DMStagVecSetValuesStencil(), DMStagMatGetValuesStencil(), MatSetValuesStencil(), MatAssemblyBegin(), MatAssemblyEnd(), DMCreateMatrix()

### Level

intermediate

### Location

src/dm/impls/stag/stagstencil.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages